Cemu - Bug #15

Broken looping animations/timer
03/03/2019 06:26 AM - Darkemaste

Status: Resolved Start date: 03/03/2019
Priority: Normal

Assignee:

Category: General

API: GPU Vendor/Model:

Cemu Version:

Description
Certain titles that appear to only have broken looping animations due to a timer bug.

This includes:

Bowsers animation while in the 10 Mario Challenge and 100 Mario Challenge screen/overworld in **Super Mario Maker* (
https://youtu.be/gKSF5UujYVo)

The dancing animations during a splatfest in **Splatoon*, most noticeable when observing the squid sisters Callie and Marie (
https://youtu.be/Z2XbYa4-XCq)

History

#1 - 03/03/2019 06:27 AM - Darkemaste

Certain titles that appear to only have broken looping animations due to a timer bug.
This includes:

e Bowsers animation while in the 10 Mario Challenge and 100 Mario Challenge screen/overworld in Super Mario Maker (
https://youtu.be/gKSFE5UujYVo)
¢ The dancing animations during a splatfest in Splatoon, most noticeable when observing the squid sisters Callie and Marie (

https://youtu.be/Z2XbYa4-XCg)

#2 - 03/11/2019 09:53 PM - Exzap

- Status changed from New to Accepted

#3 - 07/04/2019 12:43 AM - Zalnor

- Category set to General

#4 - 01/13/2020 12:36 AM - Slashiee

Suspending the nw::snd::TaskThread thread in Splatoon causes the jumps in the animation to stop. The timing issue seems to be audio related. (
https://youtu.be/Bx7pOS7mu70)

#5 - 07/31/2021 01:59 PM - Exzap

- Status changed from Accepted to Resolved

Fixed in Cemu 1.25.1
